summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorjaap aarts2018-02-10 14:11:39 +0100
committerjaap aarts2018-03-18 15:04:16 +0100
commit93bfb22f8255e88b5d68ed845682a38d7fb081b8 (patch)
treeb5cb15bff866d59d6c4bf33fd2eccea414925d06
parent9873744247e1601f7062227f91d736a860fa0ee4 (diff)
downloadaur-93bfb22f8255e88b5d68ed845682a38d7fb081b8.tar.gz
\feb-09-2017/ synergy2-bin reinit??
-rw-r--r--synergy2-bin.install19
1 files changed, 7 insertions, 12 deletions
diff --git a/synergy2-bin.install b/synergy2-bin.install
index e4f4a49d54a8..b8a43c344b01 100644
--- a/synergy2-bin.install
+++ b/synergy2-bin.install
@@ -3,13 +3,14 @@ post_install() {
chmod 777 /var/lib/synergy
chmod 777 /etc/synergy
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
-
- systemctl enable synergy.service >/dev/null || true
-
- if [ -d /run/systemd/system ]; then
- systemctl --system daemon-reload >/dev/null || true
- systemctl start synergy.service >/dev/null || true
+ if [ "upgrade" != $1 ]; then
+ systemctl enable synergy.service >/dev/null || true
+ if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+ systemctl restart synergy.service >/dev/null || true
+ fi
fi
+
if which update-icon-caches >/dev/null 2>&1 ; then
update-icon-caches /usr/share/icons/synergy.svg
fi
@@ -26,12 +27,6 @@ pre_remove() {
fi
}
-pre_remove() {
- if [ -d /run/systemd/system ]; then
- systemctl stop synergy.service >/dev/null
- fi
-}
-
post_remove() {
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
if which update-icon-caches >/dev/null 2>&1 ; then